// MainPage.java
package ru.ibs.framework.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class MainPage {
    private final WebDriver driver;

    public MainPage(WebDriver driver) {
        this.driver = driver;
    }

    public void openCatalog() {
        WebElement catalogButton = driver.findElement(By.xpath("//span[text()='Каталог']/parent::button"));
        catalogButton.click();
    }
}