package ru.ibs.framework.utils;

import io.qameta.allure.Attachment;
import org.openqa.selenium.OutputType;
import org.openqa.selenium.TakesScreenshot;
import ru.ibs.framework.managers.DriverManager;

public class AllureUtils {

    @Attachment(value = "Screenshot at step", type = "image/png")
    public static byte[] attachScreenshot() {
        return ((TakesScreenshot) DriverManager.getDriverManager().getDriver())
                .getScreenshotAs(OutputType.BYTES);
    }
}